> For the complete documentation index, see [llms.txt](https://docs.jsfiddle.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jsfiddle.net/api/displaying-user-fiddles.md).

# Displaying user fiddles

<mark style="color:blue;">`GET`</mark> `https://jsfiddle.net/api/user/:username/demo/list.json`

#### Query Parameters

| Name      | Type    | Description                                                                                                                         |
| --------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------- |
| callback  | string  | <p>Function name for cross-domain. If no callback is provided, standard JSON will be returned.<br><br>Default: None</p>             |
| start     | integer | <p>Offeset element.<br><br>Default: <code>0</code></p>                                                                              |
| limit     | integer | <p>Number of elements to return.<br><br>Default: <code>10</code></p>                                                                |
| sort      | string  | <p>Sorting type.<br><br><code>date</code>, <code>alphabetical</code> or <code>framwork</code><br><br>Default: <code>date</code></p> |
| order     | string  | <p><code>desc</code> or <code>asc</code><br><br>Default: <code>asc</code></p>                                                       |
| framework | string  | <p>Filter framework.<br><br>Default: None</p>                                                                                       |

{% tabs %}
{% tab title="200 " %}

```javascript
Api({
  "status": "ok",
  "list": [
    {
      "description": "...",
      "author": "{username}",
      "url": "...",
      "created": "...",
      "framework": "...",
      "version": 123,              // base version number
      "latest_version": 234,       // latest version number
      "title": "..."
    },
    // ...
  ],
  "overallResultSetCount": 12      // number of the results
});
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Example:

<http://jsfiddle.net/api/user/zalun/demo/list.json?callback=Api&sort=framework&start=5&limit=5>
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.jsfiddle.net/api/displaying-user-fiddles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
